PKCS7ProcessableObject (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class PKCS7ProcessableObject

- java.lang.Object
- - org.bouncycastle.cms.PKCS7ProcessableObject

- All Implemented Interfaces:
    CMSProcessable, CMSTypedData

      public class PKCS7ProcessableObject
      extends java.lang.Object
      implements CMSTypedData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS7ProcessableObject(org.bouncycastle.asn1.ASN1ObjectIdentifier type, org.bouncycastle.asn1.ASN1Encodable structure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getContent()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getContentType()`
    `void` | `write(java.io.OutputStream cOut)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS7ProcessableObject

          public PKCS7ProcessableObject(org.bouncycastle.asn1.ASN1ObjectIdentifier type,
                                org.bouncycastle.asn1.ASN1Encodable structure)

  - ### Method Detail

    - #### getContentType

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getContentType()

      Specified by:
        `getContentType` in interface `CMSTypedData`

    - #### write

          public void write(java.io.OutputStream cOut)
                     throws java.io.IOException,
                            CMSException

      Description copied from interface: `CMSProcessable`
      generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

      Note: this routine may be called multiple times.

      Specified by:
        `write` in interface `CMSProcessable`
      Throws:
        `java.io.IOException`
        `CMSException`

    - #### getContent

          public java.lang.Object getContent()

      Specified by:
        `getContent` in interface `CMSProcessable`